{% load i18n %}
{% load wagtailcore_tags %}
{% load wagtailimages_tags %}

<div id="{{ route.slug }}" class="row my-1">
    <div class="col-12">
        <div class="card">
            <div class="card-header bg-darker-light">
                <h2><a href="{% pageurl route %}">{{ route.title }}</a></h2>
            </div>
            <ul class="list-group list-group-flush">
                {% for leg in route.get_legs_descending %}
                    <li id="{{ leg.slug }}" class="list-group-item">
                        <div class="d-flex flex-row align-items-center">
                            {% with leg.main_image as main_image %}
                                {% if main_image %}
                                    {% image main_image width-140 class="rounded mr-3" %}
                                {% endif %}
                            {% endwith %}
                            <div class="d-flex flex-column align-items-start">
                                <h2><a href="{% pageurl leg %}">{{ leg.title }}</a></h2>
                                <h6 class="text-muted">{{ leg.start_date|date:"SHORT_DATE_FORMAT" }}{% if leg.start_date != leg.end_date %} - {{ leg.end_date|date:"SHORT_DATE_FORMAT" }}{% endif %}</h6>
                            </div>
                        </div>
                    </li>
                {% endfor %}
            </ul>
        </div>
    </div>
</div>